Bug 305255 - Image is always created with pixels as unit (was: Units not stored when creating a canvas preset)
Summary: Image is always created with pixels as unit (was: Units not stored when creat...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.5
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-16 12:35 UTC by Josh Bell
Modified: 2012-12-08 11:53 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Bell 2012-08-16 12:35:09 UTC
Upon creating a new document: I saved a custom predefined image size with units in mm. Upon creating a new image from the preset, instead of using mm as the unit, the image dimensions are the same but in pixels.

Reproducible: Always

Steps to Reproduce:
1. Create a document preset with dimensions in mm
2. Restart the application.
3. Use the new preset.
Actual Results:  
Image dimensions are in pixels, not mm.

Expected Results:  
For the image to match the preset.
Comment 1 Halla Rempt 2012-08-16 12:39:57 UTC
Thanks for your report. I can reproduce the behaviour you report. The issue that on creating the image we disregard any unit... I'll try to fix that asap.
Comment 2 Halla Rempt 2012-08-16 13:41:37 UTC
Git commit 5bd55414a8a1ebd5a1a9e2da10868c90bf32bc33 by Boudewijn Rempt.
Committed on 16/08/2012 at 15:38.
Pushed by rempt into branch 'master'.

Create the image with the right pixel size depending on resolution and unit.

M  +3    -4    krita/ui/widgets/kis_custom_image_widget.cc

http://commits.kde.org/calligra/5bd55414a8a1ebd5a1a9e2da10868c90bf32bc33
Comment 3 xghostx.7 2012-12-08 11:53:08 UTC
Same Bug on Linux 

OS Linux mint 13 KDE 
KDE 4.9.4
Krita Version 2.5.2